Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 06/03/2023 in all areas

  1. But in all practicality, only these 3 will ever be used, very unlikely to have "floOr9" for example. Lee Macs example covers all cases well
    2 points
  2. (ssget "W" pt1 pt2 '((0 . "TEXT") (1 . "[Ff][Ll][Oo][Oo][Rr]9")))
    2 points
  3. Should work as desired... (defun c:txtby2pts ( / p1 p2 txt txtbox v w h ) (initget 1) (setq p1 (getpoint "\nFirst point : ")) (initget 1) (setq p2 (getcorner p1 "\nSecond point : ")) (setq txt (getstring t "\nText : ")) (vl-cmdf "_.text" "_j" "_l" "_non" p1 1.0 0.0 txt) (setq txtbox (textbox (list (assoc 1 (entget (entlast)))))) (setq v (mapcar '- p2 p1)) (setq w (car v) h (cadr v)) (vl-cmdf "_.scale" (entlast) "" "_non" p1 h) (setpropertyvalue (entlast) "WidthFactor" (/ (/ w h) (- (caadr txtbox) (caar txtbox)))) (princ) ) HTH. M.R.
    2 points
  4. I've changed my last post - I founded 16 cases, so it's not neither 25, nor 60...
    1 point
  5. There are more than 25 cases... Combinations are included : 5!/2! = 60 cases... I think that Steven P is right - 25 cases... Actually I've found 16 cases... Here is what I founded : 1.floor 2.fLoor 3.flOor 4.floOr 5.flooR 6.Floor 7.FlOor 8.FloOr 9.FlooR 10.FLoor 11.FLoOr 12.FLooR 13.FLOor 14.FLOOr 15.FLOoR 16.FLOOR
    1 point
  6. This was pure gold. Thank you very much!!!!
    1 point
  7. I can see problems with a make legend not in the sense of get linetypes and blocks but rather in the descriptions, if you look closely. Some of the descriptions are 3 lines long. So they would need to be excluded and say added manually, else you need a look up for them and get the details. So make all linetypes then make Blocks, the SRS linetypes need to be added last. Move the pothole and Bore pit up. Simplest way is to have the Buried fibre and Interduct as external blocks and Insert. Need a real dwg to do real testing. Steven P pretty sure this returns the 4 corners of a viewport in mspace will try to have a look at Lee's code. Note Twistangle for rotated viewports. Used for grids in layouts. (command "._PSPACE") (setq sss (ssget "_+.:E:S" (list (cons 0 "Viewport")))) (setq cspace (cdr (assoc 69 (entget (ssname sss 0))))) (setq obj (vlax-ename->vla-object (ssname sss 0))) (if (= (vla-get-objectname obj) "AcDbViewport") (progn (setq cen (vlax-get obj 'Center )) (setq ht (vlax-get obj 'Height)) (setq wid (vlax-get obj 'Width)) (if (> ht wid) (setq dist (* 0.8 ht)) (setq dist (* 0.8 wid)) ) (setq sc (vlax-get obj 'customscale )) (setq ang (vlax-get obj 'TwistAngle)) (setq xmin (- (car cen)(/ wid 2.0))) (setq xmax (+ (car cen)(/ wid 2.0))) (setq ymin (- (cadr cen)(/ ht 2.0))) (setq ymax (+ (cadr cen)(/ ht 2.0))) (command "zoom" "c" cen 2000) (command "Mspace") (setvar 'cvport cspace) (command "UCS" "w")
    1 point
×
×
  • Create New...